﻿using Foundation;
using System;
using UIKit;

namespace BMI_Rechner
{
    public partial class ViewController : UIViewController
    {
        float height;
        float weight;
        public ViewController (IntPtr handle) : base (handle)
        {
        }

        public override void ViewDidLoad ()
        {
            base.ViewDidLoad ();
            sldrWeight.ValueChanged += sldrWeight_ValueChanged;
            sldrHeight.ValueChanged += sldrHeight_ValueChanged;
            btnSubmit.TouchUpInside += btnSubmit_TouchUpInside;
            txtWeight.EditingChanged += txtWeight_EditingChanged;
            txtHeight.EditingChanged += txtHeight_EditingChanged;
        }

        private void txtHeight_EditingChanged(object sender, EventArgs e)
        {
            if(!String.IsNullOrEmpty(txtHeight.Text)) sldrHeight.Value = float.Parse(txtHeight.Text);
        }

        private void txtWeight_EditingChanged(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(txtWeight.Text)) sldrWeight.Value = float.Parse(txtWeight.Text);
        }

        private void btnSubmit_TouchUpInside(object sender, EventArgs e)
        {
            //hideKeyBoard();
            lblOutput.Text = "Your BMI is: " + calcBmi(weight, height);
        }

        private void sldrHeight_ValueChanged(object sender, EventArgs e)
        {
            height = sldrHeight.Value;
            txtHeight.Text = sldrHeight.Value.ToString();
            //hideKeyBoard();
        }

        private void sldrWeight_ValueChanged(object sender, EventArgs e)
        {
            weight = sldrWeight.Value;
            txtWeight.Text = sldrWeight.Value.ToString();
        }

        public override void DidReceiveMemoryWarning ()
        {
            base.DidReceiveMemoryWarning ();
        }

        private float calcBmi(float weight, float height)
        {
            return weight / (height / 100 * height / 100);
        }
    }
}