﻿using Foundation;
using System;
using UIKit;

namespace Farbwechsler
{
    public partial class ViewController : UIViewController
    {
        public ViewController (IntPtr handle) : base (handle)
        {
        }

        public override void ViewDidLoad ()
        {
            base.ViewDidLoad ();
            sldRed.ValueChanged += sld_ValueChanged;
            sldGreen.ValueChanged += sld_ValueChanged;
            sldBlue.ValueChanged += sld_ValueChanged;
            txtRed.ValueChanged += txt_ValueChanged;
            txtGreen.ValueChanged += txt_ValueChanged;
            txtBlue.ValueChanged += txt_ValueChanged;
        }

        private void txt_ValueChanged(object sender, EventArgs e)
        {
            var textField = sender as UITextField;
            if(textField == txtRed)
            {
                sldRed.Value = float.Parse(txtRed.Text);
            }
            else if(textField == txtGreen)
            {
                sldGreen.Value = float.Parse(txtGreen.Text);
            }
            else if(textField == txtBlue)
            {
                sldBlue.Value = float.Parse(txtBlue.Text);
            }
        }

        private void sld_ValueChanged(object sender, EventArgs e)
        {
            var slider = sender as UISlider;
            if(slider == sldRed)
            {
                txtRed.Text = ((int)sldRed.Value).ToString();
            }
            else if(slider == sldGreen)
            {
                txtGreen.Text = ((int)sldGreen.Value).ToString();
            }
            else if(slider == sldBlue)
            {
                txtBlue.Text = ((int)sldBlue.Value).ToString();
            }
            colorChange((int)sldRed.Value, (int)sldGreen.Value, (int)sldBlue.Value);
        }

        public override void DidReceiveMemoryWarning ()
        {
            base.DidReceiveMemoryWarning ();
            // Release any cached data, images, etc that aren't in use.
        }

        private void colorChange(int red, int green, int blue)
        {
            lblOutput.BackgroundColor = UIColor.FromRGB(red, green, blue);
            lblOutput.Text = "Farbcode: #" + red.ToString("X2") + green.ToString("X2") + blue.ToString("X2");
            lblOutput.TextColor = UIColor.FromRGB(Invert(red), Invert(green), Invert(blue));
        }

        private static int Invert(int color)
        {
            return 255 - color;
        }
    }
}