﻿using Foundation;
using System;
using System.Collections.Generic;
using UIKit;

namespace PhoneTranslator
{
    public partial class ViewController : UIViewController
    {
        string translatedNumber = "";
        public List<string> PhoneNumbers { get; set; }
        public ViewController (IntPtr handle) : base (handle)
        {
            // Initialisiere Liste von Nummern für die CallHistory
            PhoneNumbers = new List<string>();
        }
        public override void ViewDidLoad ()
        {
            base.ViewDidLoad ();
            btnTranslate.TouchUpInside += BtnTranslate_TouchUpInside;
            btnCall.TouchUpInside += BtnCall_TouchUpInside;
        }
        private void BtnCall_TouchUpInside(object sender, EventArgs e)
        {
            PhoneNumbers.Add(translatedNumber);

            var url = new NSUrl("tel:" + translatedNumber);
            if(!UIApplication.SharedApplication.OpenUrl(url))
            {
                var alert = UIAlertController.Create("Not supported", "Scheme 'tel:' is NotFiniteNumberException supported on this device", UIAlertControllerStyle.Alert);
                alert.AddAction(UIAlertAction.Create("OK", UIAlertActionStyle.Default, null));
                PresentViewController(alert, true, null);
            }
        }

        private void BtnTranslate_TouchUpInside(object sender, EventArgs e)
        {
            translatedNumber = PhoneTranslator.ToNumber(txtPhoneWord.Text);
            
            // hide keyboard
            //txtPhoneWord.ResignFirstResponder();

            if (translatedNumber == "")
            {
                btnCall.SetTitle("Call", UIControlState.Normal);
                btnCall.Enabled = false;
            }
            else
            {
                btnCall.SetTitle("Call " + translatedNumber, UIControlState.Normal);
                btnCall.Enabled = true;
            }
        }

        public override void DidReceiveMemoryWarning ()
        {
            base.DidReceiveMemoryWarning ();
            // Release any cached data, images, etc that aren't in use.
        }

        public override void PrepareForSegue(UIStoryboardSegue segue, NSObject sender)
        {
            base.PrepareForSegue(segue, sender);

            var callHistoryController = segue.DestinationViewController as CallHistoryController;
            if(callHistoryController != null)
            {
                callHistoryController.PhoneNumbers = PhoneNumbers;
            }
        }
    }
}